Page MenuHomePhabricator

eolian-mono: Add error checking for Eina.Success_Flag return type
AbandonedPublic

Authored by felipealmeida on Dec 23 2019, 1:51 PM.

Details

Summary

When a get and/or set from property is defined to return, explicitly,
a Eina.Success_Flag, the mono generator will check the return value
and generate an exception if the call fails.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 15126
felipealmeida created this revision.Dec 23 2019, 1:51 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

felipealmeida requested review of this revision.Dec 23 2019, 1:51 PM
brunobelo accepted this revision.Dec 26 2019, 12:28 PM
This revision is now accepted and ready to land.Dec 26 2019, 12:28 PM
YOhoho added a subscriber: YOhoho.Jan 9 2020, 2:30 AM
YOhoho added inline comments.
src/lib/eo/eina_types.eot
132

What do you think of bool type instead of char?
Eina.Success_Flag wrapping boolean return type.

YOhoho requested changes to this revision.Jan 9 2020, 2:31 AM

boolean return type of property setter is not changed in C# bindings.

This revision now requires changes to proceed.Jan 9 2020, 2:31 AM
YOhoho resigned from this revision.Jan 9 2020, 2:43 AM
YOhoho removed a reviewer: YOhoho.

Ah, this patch is not for replacing bool with Eina.Success_Flag.

This revision is now accepted and ready to land.Jan 9 2020, 2:43 AM
felipealmeida abandoned this revision.Feb 13 2020, 10:40 AM